# NodeException
Date: 2013-02-18

## org.simpleframework.xml.stream
Class NodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.stream.NodeException

All Implemented Interfaces:
  java.io.Serializable

    public class NodeException

extends java.lang.Exception

The `NodeException` is thrown to indicate the state of either the input node or output node being invalid. Typically this is thrown if some illegal operation is requested.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`NodeException(java.lang.String text)` Constructor for the `NodeException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeException

    public NodeException(java.lang.String text)

  Constructor for the `NodeException` object. This is given the message to be reported when the exception is thrown.

  Parameters:
    `text` - a format string used to present the error message